﻿using System.Diagnostics;
using System.Text.Json.Serialization;

namespace FNZCM2.Abstractions.Models.Fs;

[DebuggerDisplay("D {Id} # {Name}")]
public class FolderEntry : IFsEntry
{
    [JsonPropertyName("i")] public required long Id { get; init; }

    /// <summary> zero for root </summary>
    [JsonPropertyName("f")] public required long FolderId { get; init; }

    [JsonPropertyName("n")] public required string Name { get; init; }
    [JsonPropertyName("t")] public required DateTimeOffset LastChangedTime { get; init; }
}
