﻿using System.Text.Json.Serialization;

namespace FNZCM2.Abstractions.Models.Metadata;

public class MetaInfo
{
    [JsonPropertyName("a")] public required string? Album { get; init; }
    [JsonPropertyName("b")] public required string? AlbumArtist { get; init; }
    [JsonPropertyName("c")] public required string? Catalog { get; init; }
    [JsonPropertyName("d")] public required int? Disc { get; init; }
    [JsonPropertyName("g")] public required int? DiscTotal { get; init; }
    [JsonPropertyName("e")] public required string? Event { get; init; }
    [JsonPropertyName("t")] public required string? Title { get; init; }
    [JsonPropertyName("p")] public required string? Artist { get; init; }
    [JsonPropertyName("v")] public required string? Vocal { get; init; }

    [JsonPropertyName("q")] public required string? Composer { get; init; }
    [JsonPropertyName("r")] public required string? Release { get; init; }

    [JsonPropertyName("n")] public required int? Track { get; init; }
    [JsonPropertyName("o")] public required int? TrackTotal { get; init; }
    [JsonPropertyName("l")] public required string? Genre { get; init; }





    [JsonPropertyName("o")] public required IReadOnlyDictionary<string, string> Other { get; init; }
}